CC = g++ -g -Wall -fPIC
CFLAGS = -I${PVM_ROOT}/include -I${HOME}/Anthill/ -I${HOME}/Anthill/FilterDev -I${HOME}/Anthill/eventAPI
CLIBS = -L${PVM_ROOT}/lib/LINUX${PROCESSOR_TYPE} -L${HOME}/Anthill/ -lpvm3 -lexpat -lahevent

INPUT = entrada
N_INST_F1 = 2
 
target: Filtro1.so Filtro2.so Main #Filtro3.so  

similar: similar.c
	${CC} -fPIC similar.c -o similar ${CFLAGS}

Similarity.o: Similarity.h Similarity.cpp
	${CC} -c Similarity.cpp ${CFLAGS}

DataBuffer.o: DataBuffer.h DataBuffer.cpp
	${CC} -c DataBuffer.cpp ${CFLAGS}

TesteDataBuffer: TesteDataBuffer.cpp DataBuffer.cpp DataBuffer.h
	${CC} -c TesteDataBuffer.cpp ${CFLAGS}
	${CC} -c DataBuffer.cpp ${CFLAGS}
	${CC} TesteDataBuffer.o DataBuffer.o -o TesteDataBuffer -fPIC ${CFLAGS}

Filtro1.so: Filtro1.cpp Filtro1.h DataBuffer.o Similarity.o
	${CC} -c Filtro1.cpp ${CFLAGS}
	${CC} -fPIC -shared DataBuffer.o Similarity.o Filtro1.o -o Filtro1.so ${CFLAGS} ${CLIBS}

Filtro2.so: Filtro2.cpp Filtro2.h DataBuffer.o
	${CC} -c Filtro2.cpp ${CFLAGS}
	${CC} -fPIC -shared DataBuffer.o Similarity.o Filtro2.o -o Filtro2.so ${CFLAGS} ${CLIBS}

#Filtro3.so: Filtro3.cpp Filtro3.h 
#	${CC} ${CFLAGS} -c Filtro3.cpp
#	${CC} ${CFLAGS} ${CLIBS} -fPIC -shared Filtro3.o -o Filtro3.so

Main: Main.cpp
	${CC} Main.cpp -o Main ${CFLAGS} ${CLIBS} -fPIC -lah

run:
	./initScript -a ${INPUT} -b 0.3 -c 20 -d ${N_INST_F1} -e output/groupsOut${N_INST_F1} -f output/deletedOut${N_INST_F1} -g output/maximal${N_INST_F1}

clean:
	rm -f *.o Filtro1.so Filtro2.so Filtro3.so Main *.log output/groupsOut* output/deletedOut* output/maximal*
